Name:		cantata
Version:	2.4.2
Release:	%mkrel 3
Summary:	Graphical client for the Music Player Daemon (MPD)
License:	GPLv2+
Group:		Graphical desktop/KDE5
URL:		https://github.com/CDrummond/cantata/
Source0:	https://github.com/CDrummond/cantata/releases/download/v%{version}/cantata-%{version}.tar.xz
BuildRequires: cdparanoia
BuildRequires: cdda-devel
BuildRequires: ffmpeg-devel
BuildRequires: qtmultimedia5
BuildRequires: qttools5
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64ebur128-devel
BuildRequires:  zlib1-devel
BuildRequires:  taglib-extras-devel
BuildRequires:  vlc-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  lib64speex1-devel
BuildRequires:  lib64musicbrainz5-devel
BuildRequires:  lib64mtp-devel
BuildRequires:  lib64mpg123-devel
BuildRequires:  lib64cddb-devel
BuildRequires:  lib64taglib-devel
BuildRequires:  lib64openssl-devel

Requires:	mpd
Requires:   lib64qt5core5

%description
Cantata is a (yet another!) graphical client for the music player daemon (MPD).

Supporting features:
  * Multiple MPD collections.
  * Highly customisable layout.
  * Songs grouped by album in play queue.
  * Context view to show artist, album, and song information of current track.
  * Simple tag editor.
  * File organizer - use tags to organize files and folders.
  * Ability to calculate ReplyGain tags.
  * Dynamic playlists.
  * Online services; Jamendo, Magnatune, SoundCloud, and Podcasts.
  * Radio stream support - with the ability to search for streams via TuneIn,
    ShoutCast, or Dirble.
  * USB-Mass-Storage and MTP device support.
  * Audio CD ripping and playback.
  * Playback of non-MPD songs, via simple in-built HTTP server if connected
    to MPD via a standard socket, otherwise filepath is sent to MPD.
  * MPRISv2 DBUS interface.
  * Support for KDE global shortcuts (KDE builds), GNOME media keys, and
    standard media keys (via Qxt support).
  * Ubuntu/ambiance theme integration.
  * Basic support for touch-style interface (views are made 'flickable').
  * Scrobbling.
  * Ratings support.

Make sure after installing mpd that you start the service through the 
PCLinuxOS Control Center.

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}*.*

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

sed -i -e 's|LINUX_LIB_DIR lib|LINUX_LIB_DIR %{_lib}|g' CMakeLists.txt

%build
%cmake_qt5 \
	-DENABLE_REMOTE_DEVICES=OFF -Wno-dev
%make_build

%install
rm -rf %buildroot
%make_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Sun Apr 25 2021 tex - 2.4.2-3pclos2021
- rebuild against updates

* Sun Dec 20 2020 tex - 2.4.2-2pclos2021
- rebuild against updates

* Mon Sep 21 2020 tex - 2.4.2-1pclos2020
- new version

* Tue May 05 2020 tex - 2.4.1-2pclos2020
- rebuild against updates

* Tue Feb 25 2020 tex - 2.4.1-1pclos2020
- new version

* Sun Feb 23 2020 tex - 2.4.0-1pclos2020
- new version

* Sat Aug 04 2018 tex- 2.3.2-1pclos2018
- new version

